#
# spec file for package ssdp-responder
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ssdp-responder
Version:        1.9
Release:        bp155.1.6
Summary:        SSDP responder for Linux
License:        ISC
Group:          Productivity/Networking/Other
URL:            https://github.com/troglobit/ssdp-responder
#Git-Clone:     https://github.com/troglobit/ssdp-responder.git
Source:         https://github.com/troglobit/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         harden_ssdpd.service.patch
BuildRequires:  autoconf
BuildRequires:  automake
%{?systemd_requires}

%description
ssdpd is a stand-alone daemon that implements the Simple Service
Discovery Protocol (SSDP) for use by networked Linux devices that
want to announce themselves to systems running Windows. ssdpd has a
built-in web server for serving the UPnP XML description which
Windows uses to present the icon when an InternetGatewayDevice is
announced.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --with-systemd=%{_unitdir}
%make_build

%install
%make_install
rm -rf %{buildroot}/%{_datadir}/doc

%preun
%service_del_preun ssdpd.service

%postun
%service_del_postun ssdpd.service

%pre
%service_add_pre ssdpd.service

%post
%service_add_post ssdpd.service

%files
%doc README.md
%license LICENSE
%{_bindir}/ssdp-scan
%{_sbindir}/ssdpd
%{_mandir}/man1/ssdp-scan.1%{?ext_man}
%{_mandir}/man8/ssdpd.8%{?ext_man}
%{_unitdir}/ssdpd.service

%changelog
* Mon Oct 31 2022 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.9:
  * Add testing command line options to sscp-scan
  * Fix TOCTOU issue with caching of UUID
- includes changes form 1.8:
  * improvements to UUID cache directory handling
  * Fix avahi-daemon (mDNS) conflict
* Tue Nov 23 2021 Johannes Segitz <jsegitz@suse.com>
- Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
  * harden_ssdpd.service.patch
* Wed Jun 10 2020 Martin Hauke <mardnh@gmx.de>
- Package systemd service file
- Update to version 1.7
  * Use /etc/os-release as base for SSDP server string,
    distribution release information is primarily stored in this
    file, some Linux systems still use /etc/lsb-release, on real
    UNIX systems we can use uname(1)
  * Update ssdpd(8) man page
- Update to version 1.6
  * Fix CVE-2019-14323
  * Refactor socket handling, enable SO_REUSEADDR + SO_REUSEPORT
  * Change default behavior, must now use -n to run in foreground
  * Add ssdp-scan tool, similar to mdns-scan
  * Add systemd unit file
* Sun Jul 29 2018 jengelh@inai.de
- Fix write style of description.
* Mon Jun 18 2018 mardnh@gmx.de
- Initial package, version 1.5
